Bug 132800 - openldap cannot handle modify during large searches
openldap cannot handle modify during large searches
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openldap (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Jay Turner
: 132801 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-09-17 03:50 EDT by Håkan Wessberg
Modified: 2015-01-07 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-17 11:07:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
relevant parts of slapd.conf (1.33 KB, text/plain)
2004-09-17 03:54 EDT, Håkan Wessberg
no flags Details

  None (edit)
Description Håkan Wessberg 2004-09-17 03:50:45 EDT
Description of problem:
We have 80.000 entries in a ldbm backend database and cant make
search and modify concurrently. This causes serious problems when
large reads are made that take aprox 4-5 min. During those reads we
cant make any writes and the client that tries to do so hangs until
the read is finished.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. search for a large group of objects.
2. try to modify one object (not necessarily one in the group returned
by the search)

Actual Results:  the modify is not performed until all objects is
returned from the search-operation.

Expected Results:  both search and modify should happen conccurently.

Additional info:

Kurt Zeilenga, of openldap fame, responded with when this report was
posted to the openldap-bugs list:
"Trying upgrading.  2.0, as well as 2.1, are considered Historic."

When is RH ready to offer a recent version of openldap?
Comment 1 Håkan Wessberg 2004-09-17 03:52:28 EDT
*** Bug 132801 has been marked as a duplicate of this bug. ***
Comment 2 Håkan Wessberg 2004-09-17 03:54:41 EDT
Created attachment 103943 [details]
relevant parts of slapd.conf
Comment 4 Lars Scheiter 2004-10-08 07:10:54 EDT
Are there any plans to update OpenLDAP to a more "current" version? This problem 
renders OpenLDAP quite useless for us. 
Comment 5 Suzanne Hillman 2004-10-12 15:06:13 EDT
Internal RFE bug #135444 entered; will be considered for future releases.

Note You need to log in before you can comment on or make changes to this bug.